PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Attributes | List of all members
PDNS::PDnsRecords Class Reference

`#include <pdns.h>`

Collaboration diagram for PDNS::PDnsRecords:
[legend]

## Public Member Functions
| PDnsRecords ()
| ~PDnsRecords ()
| operator PDNS_RECORD ()
| operator PDNS_RECORD * ()

## Protected Attributes
PDNS_RECORD | m_records

## Constructor & Destructor Documentation

PDNS::PDnsRecords::PDnsRecords | ( |  | ) |
| inline

PDNS::PDnsRecords::~PDnsRecords | ( |  | ) |

## Member Function Documentation

PDNS::PDnsRecords::operator PDNS_RECORD | ( |  | ) |
| inline

References m_records.

PDNS::PDnsRecords::operator PDNS_RECORD * | ( |  | ) |
| inline

References m_records.

## Member Data Documentation

PDNS_RECORD PDNS::PDnsRecords::m_records
| protected

Referenced by operator PDNS_RECORD(), and operator PDNS_RECORD *().

The documentation for this class was generated from the following file:

- pdns.h